Welche Java-Version ist installiert?

by Micha ⌂, Bad Vilbel, Wednesday, May 12, 2021, 16:03 (33 days ago) @ Karsten

Hallo Karsten,

Es ist noch eine uralte Version (9.0.4.) installiert.

Okay, dann habe ich eine Vermutung. Es liegt dann nicht an JAG3D selbst sondern an der EXE-Datei. Dort hatte ich als Mindestversion Java 9 angegeben. Wenn diese Version (oder eine Neuere) auf dem System gefunden wird, soll diese auch verwendet werden, ansonsten wird auf das OpenJDK zurückgegriffen. Die neue HSQLDB-Bibliothek ist aber mit Java 11 kompiliert worden, sodass hier Java 9 nicht mehr reicht. Ich habe die Mindestversion mal auf Java 15 gesetzt für die EXE-Datei, sodass in Deinem Fall nun der Fallback-Fall (OpenJDK) eintreten sollte.

Kannst Du mal bitte folgende Vorversion ausprobieren: JAG3Dv20210512_Windows_RC.zip? Läuft diese bei Dir? Wenn ja, würde ich das Paket bei github austauschen.

Auf den von mir getesteten Systemen war mindestens Java 13 installiert, sodass es mir nicht auffallen konnte.

Viele Grüße
Micha

--
applied-geodesy.org - OpenSource Least-Squares Adjustment Software for Geodetic Sciences


Complete thread:

 RSS Feed of thread